## API Report File for "@fluentui/react-button"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { ComponentPropsCompat } from '@fluentui/react-utilities';
import type { ComponentStateCompat } from '@fluentui/react-utilities';
import type { MenuTriggerChildProps } from '@fluentui/react-menu';
import * as React_2 from 'react';
import { ShorthandPropsCompat } from '@fluentui/react-utilities';

// @public
export const Button: React_2.FunctionComponent<ButtonProps & React_2.RefAttributes<HTMLElement>>;

// @public (undocumented)
export type ButtonDefaultedProps = 'icon' | 'size';

// @public (undocumented)
export type ButtonProps = ComponentPropsCompat & React_2.ButtonHTMLAttributes<HTMLElement> & {
    appearance?: 'primary' | 'outline' | 'subtle' | 'transparent';
    icon?: ShorthandPropsCompat<React_2.HTMLAttributes<HTMLElement>>;
    block?: boolean;
    disabled?: boolean;
    disabledFocusable?: boolean;
    iconPosition?: 'before' | 'after';
    shape?: 'rounded' | 'circular' | 'square';
    size?: 'small' | 'medium' | 'large';
};

// @public (undocumented)
export type ButtonShorthandPropsCompat = 'icon';

// @public
export const buttonShorthandPropsCompat: ButtonShorthandPropsCompat[];

// @public (undocumented)
export type ButtonState = ComponentStateCompat<ButtonProps, ButtonShorthandPropsCompat, ButtonDefaultedProps> & {
    iconOnly?: boolean;
    ref: React_2.Ref<HTMLElement>;
};

// @public (undocumented)
export type CheckedState = {
    checked?: boolean;
    defaultChecked?: boolean;
    onClick?: React_2.DOMAttributes<HTMLElement>['onClick'];
    role?: string;
    'aria-checked'?: React_2.AriaAttributes['aria-pressed'];
    'aria-pressed'?: React_2.AriaAttributes['aria-pressed'];
};

// @public
export const CompoundButton: React_2.ForwardRefExoticComponent<ComponentPropsCompat & React_2.ButtonHTMLAttributes<HTMLElement> & {
    appearance?: "primary" | "outline" | "subtle" | "transparent" | undefined;
    icon?: ShorthandPropsCompat<React_2.HTMLAttributes<HTMLElement>>;
    block?: boolean | undefined;
    disabled?: boolean | undefined;
    disabledFocusable?: boolean | undefined;
    iconPosition?: "before" | "after" | undefined;
    shape?: "rounded" | "circular" | "square" | undefined;
    size?: "small" | "medium" | "large" | undefined;
} & {
    secondaryContent?: ShorthandPropsCompat<React_2.HTMLAttributes<HTMLElement>>;
    contentContainer?: ShorthandPropsCompat<React_2.HTMLAttributes<HTMLElement>>;
} & React_2.RefAttributes<HTMLElement>>;

// @public (undocumented)
export type CompoundButtonDefaultedProps = ButtonDefaultedProps | 'contentContainer' | 'secondaryContent';

// @public (undocumented)
export type CompoundButtonProps = ButtonProps & {
    secondaryContent?: ShorthandPropsCompat<React_2.HTMLAttributes<HTMLElement>>;
    contentContainer?: ShorthandPropsCompat<React_2.HTMLAttributes<HTMLElement>>;
};

// @public (undocumented)
export type CompoundButtonShorthandPropsCompat = ButtonShorthandPropsCompat | 'contentContainer' | 'secondaryContent';

// @public
export const compoundButtonShorthandPropsCompat: CompoundButtonShorthandPropsCompat[];

// @public (undocumented)
export type CompoundButtonState = ButtonState & ComponentStateCompat<CompoundButtonProps, CompoundButtonShorthandPropsCompat, CompoundButtonDefaultedProps>;

// @public
export const MenuButton: React_2.FunctionComponent<MenuButtonProps & React_2.RefAttributes<HTMLElement>>;

// @public (undocumented)
export type MenuButtonDefaultedProps = ButtonDefaultedProps | 'menuIcon';

// @public (undocumented)
export type MenuButtonProps = Omit<ButtonProps, 'iconPosition'> & Partial<Omit<MenuTriggerChildProps, 'ref'>> & {
    menuIcon?: ShorthandPropsCompat<React_2.HTMLAttributes<HTMLElement>>;
};

// @public (undocumented)
export type MenuButtonShorthandPropsCompat = ButtonShorthandPropsCompat | 'menuIcon';

// @public
export const menuButtonShorthandPropsCompat: MenuButtonShorthandPropsCompat[];

// @public (undocumented)
export type MenuButtonState = Omit<ButtonState, 'iconPosition'> & ComponentStateCompat<MenuButtonProps, MenuButtonShorthandPropsCompat, MenuButtonDefaultedProps>;

// @public
const renderButton: (state: ButtonState) => JSX.Element;
export { renderButton }
export { renderButton as renderToggleButton }

// @public
export const renderCompoundButton: (state: CompoundButtonState) => JSX.Element;

// @public
export const renderMenuButton: (state: MenuButtonState) => JSX.Element;

// @public
export const renderSplitButton: (state: SplitButtonState) => JSX.Element;

// @public
export const SplitButton: React_2.ForwardRefExoticComponent<SplitButtonProps & React_2.RefAttributes<HTMLElement>>;

// @public (undocumented)
export type SplitButtonDefaultedProps = 'size';

// @public (undocumented)
export interface SplitButtonProps extends Omit<ButtonProps, ButtonShorthandPropsCompat>, MenuButtonProps {
    button?: ShorthandPropsCompat<ButtonProps>;
    buttonRef?: React_2.Ref<HTMLElement>;
    menuButton?: ShorthandPropsCompat<MenuButtonProps>;
    menuButtonRef?: React_2.Ref<HTMLElement>;
}

// @public (undocumented)
export const splitButtonShorthandProps: SplitButtonShorthandPropsCompat[];

// @public (undocumented)
export type SplitButtonShorthandPropsCompat = 'button' | 'menuButton';

// @public (undocumented)
export interface SplitButtonState extends ComponentStateCompat<SplitButtonProps, SplitButtonShorthandPropsCompat, SplitButtonDefaultedProps> {
    ref: React_2.Ref<HTMLElement>;
}

// @public
export const ToggleButton: React_2.ForwardRefExoticComponent<ComponentPropsCompat & React_2.ButtonHTMLAttributes<HTMLElement> & {
    appearance?: "primary" | "outline" | "subtle" | "transparent" | undefined;
    icon?: ShorthandPropsCompat<React_2.HTMLAttributes<HTMLElement>>;
    block?: boolean | undefined;
    disabled?: boolean | undefined;
    disabledFocusable?: boolean | undefined;
    iconPosition?: "before" | "after" | undefined;
    shape?: "rounded" | "circular" | "square" | undefined;
    size?: "small" | "medium" | "large" | undefined;
} & {
    checked?: boolean | undefined;
    defaultChecked?: boolean | undefined;
} & React_2.RefAttributes<HTMLElement>>;

// @public (undocumented)
export type ToggleButtonDefaultedProps = ButtonDefaultedProps;

// @public (undocumented)
export type ToggleButtonProps = ButtonProps & {
    checked?: boolean;
    defaultChecked?: boolean;
};

// @public (undocumented)
export type ToggleButtonShorthandPropsCompat = ButtonShorthandPropsCompat;

// @public (undocumented)
export type ToggleButtonState = ButtonState & ComponentStateCompat<ToggleButtonProps, ToggleButtonShorthandPropsCompat, ToggleButtonDefaultedProps>;

// @public
export const useButton: (props: ButtonProps, ref: React_2.Ref<HTMLElement>, defaultProps?: ButtonProps | undefined) => ButtonState;

// @public
export const useButtonState: (state: ButtonState) => ButtonState;

// @public (undocumented)
export const useButtonStyles: (state: ButtonState) => ButtonState;

// @public
export const useChecked: <TState extends CheckedState>(state: TState) => void;

// @public
export const useCompoundButton: (props: CompoundButtonProps, ref: React_2.Ref<HTMLElement>, defaultProps?: CompoundButtonProps | undefined) => CompoundButtonState;

// @public (undocumented)
export const useCompoundButtonStyles: (state: CompoundButtonState) => CompoundButtonState;

// @public
export const useMenuButton: (props: MenuButtonProps, ref: React_2.Ref<HTMLElement>, defaultProps?: MenuButtonProps | undefined) => MenuButtonState;

// @public
export const useMenuButtonState: (state: MenuButtonState) => MenuButtonState;

// @public (undocumented)
export const useMenuButtonStyles: (state: MenuButtonState) => MenuButtonState;

// @public
export const useSplitButton: (props: SplitButtonProps, ref: React_2.Ref<HTMLElement>, defaultProps?: SplitButtonProps | undefined) => SplitButtonState;

// @public (undocumented)
export const useSplitButtonStyles: (state: SplitButtonState) => SplitButtonState;

// @public
export const useToggleButton: (props: ToggleButtonProps, ref: React_2.Ref<HTMLElement>, defaultProps?: ToggleButtonProps | undefined) => ToggleButtonState;

// @public (undocumented)
export const useToggleButtonStyles: (state: ToggleButtonState) => ToggleButtonState;

// (No @packageDocumentation comment for this package)

```
